SDL_LoadBMP(3)

NAME
SDL_LoadBMP - Load a BMP image from a file.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_LoadBMP(const char *file);

DESCRIPTION
The new surface should be freed with SDL_DestroySurface (). Not doing so will result in a memory leak.

FUNCTION PARAMETERS

file
    the BMP file to load

RETURN VALUE
Returns a pointer to a new SDL_Surface
 structure or NULL if there was an error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_DestroySurface(3), SDL_LoadBMP_IO(3), SDL_SaveBMP(3)